#include <assert.h>
#include <tchar.h>
#include <windows.h>


// Register window's class
bool RegisterWndClass(HINSTANCE hInstance, const TCHAR* szClsName);

// Create a main window
HWND CreateWnd(HINSTANCE hInstance, const TCHAR* szClass, const TCHAR* szCaption, DWORD dwStyle = WS_VISIBLE|WS_OVERLAPPEDWINDOW,
			   int nX = 0, int nY = 0, int nWidth = 800, int nHight = 480);

// Show window
void ShowWnd(HWND hWnd);

// Run message loop
void RunMessageLoop();